
/************************************* SBLOCK *******************************************/
[appliedStereotypes~="ESFArchitectureConcepts::SBlock"]{
	maintainSymbolRatio:true;
	followSVGSymbol:false;
	fillColor:#EFEFEF;
	transparency:0;
	displayBorder:true;
	displayName:true;
	displayIcon:true;
	maskLabel:name;
	canonical:true;
}

/************************************* SPART *******************************************/
[appliedStereotypes~="ESFArchitectureConcepts::SPart"]  > Compartment[kind="internalstructure"]{
    visible:false;
    showTitle:false;
}
[appliedStereotypes~="ESFArchitectureConcepts::SPart"]  > Compartment[kind="symbol"]{
    visible:false;
    showTitle:false;
}
[appliedStereotypes~="ESFArchitectureConcepts::SPart"]  > Compartment[kind="attribute"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFArchitectureConcepts::SPart"]{
	maintainSymbolRatio:true;
	followSVGSymbol:false;
	fillColor:#56ACDE;
	transparency:0;
	displayBorder:true;
	displayName:true;
	displayIcon:true;
	maskLabel:name;
	canonical:true;
}

/************************************* SPORT *******************************************/
[appliedStereotypes~="ESFArchitectureConcepts::SPort"][sDirection=IN]{
	shapeVisibility: true;
    shapeDirection: 4;
    displayName:true;
    maskLabel:name;
    svgFile: url("platform:/plugin/org.polarsys.esf.core.resources.graphical/src/main/resources/svg/profile/esfarchitectureconcepts/shape_input_sport.svg");
}

[appliedStereotypes~="ESFArchitectureConcepts::SPort"][sDirection=OUT]{
	shapeVisibility: true;
    shapeDirection: 4;
    displayName:true;
    maskLabel:name;
    svgFile: url("platform:/plugin/org.polarsys.esf.core.resources.graphical/src/main/resources/svg/profile/esfarchitectureconcepts/shape_output_sport.svg");
}

[appliedStereotypes~="ESFArchitectureConcepts::SPort"][sDirection=INOUT]{
    shapeVisibility: true;
    shapeDirection: 4;
    displayName:true;
    maskLabel:name;
    svgFile: url("platform:/plugin/org.polarsys.esf.core.resources.graphical/src/main/resources/svg/profile/esfarchitectureconcepts/shape_inoutput_sport.svg");
}

Port > Label { 
	maskLabel: name;
}

/************************************* SCONNECTOR *******************************************/
[appliedStereotypes~="ESFArchitectureConcepts::SConnector"]{
	lineStyle: solid;
	lineWidth:3;
	lineColor: blue;
}

[appliedStereotypes~="ESFArchitectureConcepts::SConnector"] > Label {
	visible:false;
}